{{/* Registries in the registry list */}}
{{- range $registryName, $registry := .Values.registries }}
{{- if and $registry.user $registry.pass }} # Don't create a pull secret if there are no credentials
{{- $name := printf "%s-pull-secret" $registryName }}
---
apiVersion: "v1"
kind: "Secret"
metadata:
  name: {{ $name }}
  labels: {{- include "common-resources.labels" $ | nindent 4 }}
    app.ryax.io/registry-name: {{ $registryName }}
type: "kubernetes.io/dockerconfigjson"
data:
  .dockerconfigjson: {{ printf "{\"auths\":{\"%s\":{\"username\":\"%s\",\"password\":\"%s\",\"auth\":\"%s\"}}}" $registry.url $registry.user $registry.pass (printf "%s:%s" $registry.user $registry.pass | b64enc) | b64enc }}
{{- end }}
{{- end }}
